summaryrefslogtreecommitdiffstats
path: root/bin/tests/system/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/tests/system/setup.sh')
-rw-r--r--bin/tests/system/setup.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/bin/tests/system/setup.sh b/bin/tests/system/setup.sh
index 23145fa..73a7e78 100644
--- a/bin/tests/system/setup.sh
+++ b/bin/tests/system/setup.sh
@@ -17,17 +17,20 @@
. ./conf.sh
-test $# -gt 0 || { echo "usage: $0 test-directory" >&2; exit 1; }
+test $# -gt 0 || {
+ echo "usage: $0 test-directory" >&2
+ exit 1
+}
test=$1
shift
-test -d $test || { echo "$0: $test: no such test" >&2; exit 1; }
+test -d $test || {
+ echo "$0: $test: no such test" >&2
+ exit 1
+}
# Set up any dynamically generated test data
-if test -f $test/setup.sh
-then
- ( cd $test && $SHELL setup.sh "$@" )
+if test -f $test/setup.sh; then
+ (cd $test && $SHELL setup.sh "$@")
fi
-
-